\name{isComparator}
\alias{isComparator}
\title{Whether a call is a comparison operator}
\description{
 This function determines whether the specifed 
expression is a call to one of the logical 
comparison operators  \code{<}, \code{>}, \code{>=}, \code{<=},
\code{==} or \code{!=}.
}
\usage{
isComparator(x, ...)
}
\arguments{
  \item{x}{the \code{call} object which is to be queried to determine if
it is a call to one of the logical comparators.
 This can also be an \code{expression}
 object in which case only the first element is examined}
  \item{\dots}{unused}
}
\details{
 This looks at the function being invoked in the \code{call} 
object and compares it to the known comparator functions/operators.
}
\value{
A logical value indicating whether the call is
to one of the following functions:
\code{<}, \code{>}, \code{<=}, \code{>=},
\code{==} or \code{!=}.
}
\references{\url{http://www.omegahat.org/RSXML}}
\author{Duncan Temple Lang, Robert Gentleman}


\seealso{
\code{\link{isLogicalExpression}}
\code{\link{writeXML}}
}

\examples{
 
}
\keyword{language}
